#ifndef __H_XCONFIG_H__
#define __H_XCONFIG_H__

#include "m_afx.h"
#include "xlist.h"

//加载配置文件
// -1失败 0成功
int load_config ( xlist *list , char *filename , char *sm4key ) ;
//获取某字段内容
// NULL失败，反之成功返回内容
char * get_config_value ( xlist *list , char *tag , char *key ) ;
//修改某字段内容
// -1失败 0成功
int set_config_value ( xlist *list , char *tag , char *key , char *value ) ;
//修改内容导出到文件
// -1失败 0成功
int write_config ( xlist *list , char *filename ) ;
// 释放配置文件（必须释放，否则程序不退则内存泄漏）
void free_config ( xlist *list ) ;

#endif