#ifndef __H_REVIEW_H__
#define __H_REVIEW_H__

#include "common.h"
#include "protocol_parse.h"
#include "setting.h"
#include "afx/xlist.h"

#define DATE_TYPE_REVIEW (4)

/*
des:
    发送审批请求，解析审批内容，添加审批白名单列表
param:
    reviewBuf[IN]:待发送的审批信息
    reviewType[IN]:审批类型
return：
    -1：失败
    0：成功
*/
int review_request(char *reviewBuf, char *reviewType);

/*
des:
    发送审批请求，解析审批内容，添加审批白名单列表
param:
    pprotocolHead[IN]:数据包包头
    reviewBuf[IN]:待发送的审批信息
        reviewType[IN]:审批类型
return：
    -1：失败
    0：成功
*/
int review_bmp_request(char *bmpName, char *content, char *bmpMd5, char *reviewType);

#endif