//
//  xkeyfile.h
//  env
//
//  Created by hubingbing on 14/12/30.
//  Copyright (c) 2014年 jidisec_orgnization. All rights reserved.
//

#ifndef env_xkeyfile_h
#define env_xkeyfile_h

#include "xlist.h"

#define XKEYFILE_IS_KEYWORD(x) ( ((x)=='=') || ((x)==',') || ((x)=='\\') || ((x)=='[') || ((x)==']') )

#define NONE_GROUPNAME (const char *)("NONE[14200130973C15C2E6434E]NONE")

#define PARSE_LEVEL_INIT 0x8000
#define PARSE_LEVEL_GROUP_LEFT 10
#define PARSE_LEVEL_GROUP_CONTENT 20
#define PARSE_LEVEL_GROUP_RIGHT 30
#define PARSE_LEVEL_GROUP_RIGHT_1 31
#define PARSE_LEVEL_KEY 40
#define PARSE_LEVEL_VALUE 50
#define PARSE_LEVEL_VALUE_1 51
#define PARSE_LEVEL_ERROR -1

typedef xlist xkeyfile ;
typedef xlist xkeyfile_group ;

xkeyfile * xkeyfile_init () ;
void xkeyfile_delete ( xkeyfile * kf ) ;
xkeyfile_group * xkeyfile_add_group ( xkeyfile * kf , const char * groupname ) ;
int xkeyfile_add_kv ( xkeyfile * kf , const char * groupname ,
                     const char * k ,
                     const char * v ,
                     int replace_if_exist ) ;
int xkeyfile_add_k_listv ( xkeyfile * kf , const char * groupname ,
                          const char * k ,
                          xlist * listv ,
                          int replace_if_exist ) ;
void xkeyfile_remove_group ( xkeyfile * kf , const char * groupname ) ;
void xkeyfile_remove_k ( xkeyfile * kf , const char * groupname ,  const char * k ) ;
xkeyfile_group * xkeyfile_get_group ( xkeyfile * kf , const char * groupname ) ;
void * xkeyfile_get ( xkeyfile * kf , const char * groupname ,
                     const char * k ,
                     void ** v ,
                     int * type ) ;//0: string, 1: list
int xkeyfile_dup2data ( xkeyfile * kf , char ** data , int * len ) ;
int xkeyfile_load ( xkeyfile * kf , char * data , int len ) ;


#endif
