#ifndef __H_XLOG_H__
#define __H_XLOG_H__
//////////////////////////////////////////////////////////////////////////
#include "m_afx.h"
#include "xtime.h"

#include <stdarg.h>
//////////////////////////////////////////////////////////////////////////
void getself ( char * buffer , int size ) ;
void getworkspace ( char * buffer , int size ) ;
//////////////////////////////////////////////////////////////////////////
/* log */
void loginit ( int level , char * logfile ) ;
void logwrite(int level, const char* fmt, ...) ;
//////////////////////////////////////////////////////////////////////////
#define DBGPRINT logwrite

#define x_log(...) logwrite(VLOG,__VA_ARGS__)
#define x_warning x_log

#define x_debug(...) logwrite(VDBG,__VA_ARGS__)
#define x_message x_debug

#define x_error(...) logwrite(VERR,__VA_ARGS__)
#define x_critical x_error

#define x_assert assert
#define x_assert_not_reached() assert(0)
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////
#endif
